Subject: bug#56997: [PATCH] Analogue of project-shell for Python

From: Philip Kaludercic <[email-masked]>
Date: Fri, 05 Aug 2022 11:00:28 +0000

Augusto Stoffel <[email-masked]> writes:

> On Fri,  5 Aug 2022 at 09:22, Philip Kaludercic <[email-masked]> wrote:
>
>> Augusto Stoffel <[email-masked]> writes:
>>
>>> Philip: I'm working around the possible absence of
>>> 'read-multiple-choice' here.  Not sure it's a popular/useful enough
>>> function to include in compat, but I thought I would bring this up.
>>
>> I have considered it, but the code in rmc.el is about 230 lines of code,
>> that I didn't want to copy verbatim.  If you think it is worthwhile, I
>> can try to add `read-multiple-choice' in some form or another.
>
> A bare-bones version that ignores the optional arguments could be much
> smaller, but I think it's at best borderline worth implementing it.

Would this be enough: https://git.sr.ht/~pkal/compat/commit/1250ea050737db8ba07c44eaeab7be2e4faefe0a?